@import "../../../assets/scss/global";

.dropdown-user-info-wrapper {
    .dropdown-user {
        right: -62px;
        top: 46px;
        padding: 20px;
        gap: 12px;
        width: 352px;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
        height: calc(100vh - 63px);
        animation: slideRightOpen .4s;

        &.strait-right {
            right: -15px;
        }

        @include largeScreen {
            top: 62px;
            right: 0;
            border-radius: 12px;
            height: initial;
            animation: initial;
        }

        > div {
            justify-content: flex-start;
        }

        .avatar {
            position: relative;
            width: fit-content;
            &.error{
                img{
                    border: 2px solid #EF4E2B;
                }
            }
            .wrapper-img{
                height: 80px;
                width: 80px;
                position: relative;
            }
            .tooltip-error{
                position: absolute;
                top: -10px;
                left: -310px;
                height: 104px;
                width: 297px;
                background: #FF7B53;
                border-radius: 4px;
                padding: 16px;

                span{
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 24px;
                    color: #FFFFFF;
                }
                b{
                    font-weight: 700;
                }

                &::before{
                    content: '';
                    position: absolute;
                    border-left: 10px solid #FF7B53;
                    border-bottom: 10px solid transparent;
                    border-top: 10px solid transparent;
                    right: -10px;
                    top: 50%;
                    transform: translateY(-50%);
                }
            }

            .camera {
                position: absolute;
                background: $primary-color;
                bottom: 0;
                right: 0;
                padding: 4px;
                background: linear-gradient(88.16deg, #F79945 1.56%, #F84C26 97.89%);
                box-shadow: 4px 4px 10px rgba(248, 76, 38, 0.21);
                border-radius: 16px;
                width: 24px;
                height: 24px;

                @include largeScreen{
                    bottom: 0;
                }
            }

            input {
                width: 100%;
                height: 100%;
                display: none;
            }
        }

        .user-group {
            display: block;
            background: #F2F2F2;
            border-radius: 8px;
            padding: 8px;
            gap: 20px;

            @include largeScreen {
                display: flex;
            }

            img {
                width: 80px;
                height: 80px;
                object-fit: cover;
                object-position: center;
                border-radius: 50%;
                border: 2px solid transparent;
            }

            .userInfo {
                display: flex;
                row-gap: 8px;
                flex-direction: column;
                justify-content: center;
                flex: none;
                max-width: 192px;

                .username {
                    font-weight: 600;
                    font-size: 16px;
                    line-height: 24px;
                    color: $dark-color;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    width: 100%;
                }

                .user-role {
                    font-weight: 500;
                    font-size: 13px;
                    line-height: 17px;
                    color: #757688;
                }

                p:nth-child(3), p:nth-child(4) {
                    font-weight: 500;
                    font-size: 13px;
                    line-height: 17px;
                    color: $dark-color;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                }

                svg {
                    margin-bottom: -4px;
                    margin-right: 5px;
                }
            }
        }

        .menu-list {
            border-bottom: 1px solid #B4B7B6;
            padding-bottom: 10px;

            > * {
                cursor: pointer;
            }

            div {
                padding: 8px 10px;
                font-size: 13px;
                line-height: 17px;
                font-weight: 500;

                &:hover {
                    background: #FFF4F4;
                    border-radius: 4px;
                }
            }
        }

        .logout {
            display: flex;
            justify-content: flex-end;

            svg {
                background: #FFFFFF;
                box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
                border-radius: 6px;
                width: 40px;
                height: 40px;
                padding: 12px;
                cursor: pointer;
            }
        }
    }
}